Adds the specified values to the Elasticsearch keystore, or removes the keys for the unspecified values.
Path parameters
-
Identifier for the Deployment
-
User-specified RefId for the Resource (or '_main' if there is only one)
Responses
-
The new contents of the Elasticsearch keystore
-
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
- The Deployment specified by {deployment_id} cannot be found. (code:
-
We have failed you. (code:
deployments.metadata_internal_error)
PATCH
/deployments/{deployment_id}/elasticsearch/{ref_id}/keystore
curl \
--request PATCH 'https://{{hostname}}/api/v1/deployments/{deployment_id}/elasticsearch/{ref_id}/keystore' \
--user "username:password" \
--header "Content-Type: application/json" \
--data '{
"secrets": {
"additionalProperty1": {
"value": {},
"as_file": true
},
"additionalProperty2": {
"value": {},
"as_file": true
}
}
}'